# Interface CameraOptions

Contains options for toggling camera functionality

interface CameraOptions {
isKeyboardMoveEnabled: boolean;
isPanEnabled: boolean;
isRotationEnabled: boolean;
isZoomEnabled: boolean;
mode: CameraMode;
}

#### Implemented by

- TwinfinityTargetCameraInputsManager

##### Index

### Properties

isKeyboardMoveEnabled
isPanEnabled
isRotationEnabled
isZoomEnabled
mode

## Properties

### isKeyboardMoveEnabled

isKeyboardMoveEnabled: boolean

If `true` then camera can be moved along its axes using a keyboard. Default is by arrow keys or WASD keys.

### isPanEnabled

isPanEnabled: boolean

If `true` then camera can be panned.

### isRotationEnabled

isRotationEnabled: boolean

If `true` then camera can be rotated

### isZoomEnabled

isZoomEnabled: boolean

If `true` then camera can be zoomed

### mode

mode: CameraMode

Determines mode of camera.